v1.0
get
/ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/lock/subjects
Retrieves latest lock status for all subjects under a study.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
A1B2C3D4E5F647839ABCDEF012345678
Query Parameters
-
limit: integer(int32)
Minimum Value:
0number of recordsDefault Value:5000Example:5000 -
offset: integer(int32)
Minimum Value:
0starting offsetExample:0 -
order: string
asc or descDefault Value:
DESCExample:DESC -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
E3E70682E5F7473E8D39BB0D7B1A3B52
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Nested Schema : LockedStatusDTO
Type:
Show Source
object-
action: string
Action taken on the visit start date value.Acceptable values are LOCKED, UNLOCKED, NEVER_LOCKED.Example:
LOCKED -
comment: string
Minimum Length:
0Maximum Length:2048Additional comment or note about the action.Example:Locked by monitor for review -
eventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
D4E5F6A1B2C347839ABCDEF012345678 -
eventInstanceNum: integer
(int)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
formId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
2A5E92F1C2D54DDA9F1C0A9E7B3C2D1A -
formSectionId: string
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF12ABCDEF12ABCDEF12ABCDEF12 -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the record.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
innerRepeat: integer
(int)
Indicates the repeat sequence number of a nested or inner repeating form within an outer repeating structure. This value is used to distinguish multiple occurrences of the same inner form for a given outer repeat instance.Example:
0 -
itemId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
0F1E2D3C4B5A69788796A5B4C3D2E1F0 -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
1 -
operationType: string
Operation type on the record, can have values CREATED, MODIFIED or REMOVEDExample:
MODIFIED -
outerRepeat: integer
(int)
Indicates the repeat sequence number of the primary or outer repeating form. This value identifies each top-level occurrence of a repeating form and serves as the parent context for any nested inner repeats.Example:
0 -
reason: string
Minimum Length:
0Maximum Length:255Reason provided for the lock or action.Example:Site audit lock -
repeatFormNumber: integer
(int)
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.Example:
0 -
repeatSequenceNumber: integer
(int)
Internal repeat sequence number for item or visit repeats.Example:
0 -
siteID: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
938D23FA6B7241CCA41BD627E5DB60DA -
softwareVersionNumber: number
A number that represents an incremental increase every time a data point is modified.Example:
300 -
studyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.3 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
A1B2C3D4E5F647839ABCDEF012345678 -
userId: string
Unique user identifier representing the clinicalone user who modified or interacted with the subject record. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
225B79C982104415886DE02BC73C1E1E -
versionEnd: string
(date-time)
The end date until which the data is applicable or valid.Example:
2023-01-01T10:00:00Z -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2023-01-01T09:00:00Z -
visitStartDateAction: string
Action to be taken for the visit. The value may be SCREEN_ENABLE, SCREEN_DISABLE, RANDOMIZE_ENABLE, RANDOMIZE_DISABLE, DISPENSE_ENABLE, DISPENSE_DISABLE, COMPLETE_STUDY_ENABLE and COMPLETE_STUDY_DISABLE.Example:
COMPLETE_STUDY_DISABLE
Examples
400 Response
Bad_Request
Nested Schema : result
Type:
objectNested Schema : details
Type:
object